Bug 132859 - cdrecord has a security problem
Summary: cdrecord has a security problem
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: cdrtools
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact:
URL: http://www.derkeiler.com/Mailing-List...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-09-18 02:22 UTC by akopps
Modified: 2007-11-30 22:07 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2005-05-19 14:36:44 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:447 low SHIPPED_LIVE Updated cdrtools packages 2005-05-19 04:00:00 UTC

Description akopps 2004-09-18 02:22:05 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.2)
Gecko/20040803

Description of problem:
Someone posted an an exploit for cdrecord on Mandrake. I have tried it
on RedHat Enterprise WS 3.0 and it worked here too. After running the
exploit script I had been left with a setuid root shell named /tmp/ss.
Notice that to make this work cdrecord needs to be installed setuid
root. RHEL WS 3.0 does not install cdrecord as setuid root by default.
However, according to cdrecord man page, installing cdrecord with
setuid root permission is recommended way of installing cdrecord to
allow the ordinary users to use it. Although RedHat does not ship it
with setuid root permissions, many system administrators do change it
to setuid root to allow regular users to use it. Therefore it is still
a security bug that needs to be fixed as soon as possible.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Extract the exploit script from
http://www.derkeiler.com/Mailing-Lists/securityfocus/bugtraq/2004-09/0101.html
2. run the script
3.
    

Actual Results:  There is a setuid root file named /tmp/ss

Expected Results:  /tmp/ss should not have setuid root permissions.

Additional info:

Comment 1 Mark J. Cox 2004-09-18 10:39:42 UTC
cdrecord on RHEL does not need to be setuid to allow normal users to
use it as the permissions of the writer device get changed by
pam_console_apply at console login.  Therefore don't make cdrecord
setuid root.

Dropping security severity.

Comment 4 Tim Powers 2005-05-19 14:36:44 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-447.html



Note You need to log in before you can comment on or make changes to this bug.